## org.apache.xalan.xsltc.compiler.util
Class FilterGenerator

    java.lang.Object
      |
      +--org.apache.bcel.classfile.AccessFlags
            |
            +--org.apache.bcel.generic.ClassGen
                  |
                  +--org.apache.xalan.xsltc.compiler.util.ClassGenerator
                        |
                        +--org.apache.xalan.xsltc.compiler.util.FilterGenerator

public final class FilterGenerator
extends ClassGenerator

This class implements auxliary classes needed to compile filters (predicates). These classes defined a single method of type `TestGenerator`.

Constructor Summary
`FilterGenerator(java.lang.String className, java.lang.String superClassName, java.lang.String fileName, int accessFlags, java.lang.String[] interfaces, Stylesheet stylesheet)`

Method Summary
`boolean` `isExternal()` Returns `true` since this class is external to the translet.
`org.apache.bcel.generic.Instruction` `loadTranslet()` The index of the translet pointer within the execution of the test method.

Methods inherited from class org.apache.xalan.xsltc.compiler.util.ClassGenerator
`addMethod, getApplyTemplatesSig, getApplyTemplatesSigForImport, getClassName, getDOMClass, getDOMClassSig, getParser, getStylesheet`

Methods inherited from class org.apache.bcel.generic.ClassGen

`addAttribute, addEmptyConstructor, addField, addInterface, addMethod, addObserver, clone, containsField, containsField, containsMethod, getAttributes, getClassNameIndex, getConstantPool, getFields, getFileName, getInterfaceNames, getInterfaces, getJavaClass, getMajor, getMethodAt, getMethods, getMinor, getSuperclassName, getSuperclassNameIndex, removeAttribute, removeField, removeInterface, removeMethod, removeObserver, replaceField, replaceMethod, setClassName, setClassNameIndex, setConstantPool, setMajor, setMethodAt, setMethods, setMinor, setSuperclassName, setSuperclassNameIndex, update`

Methods inherited from class org.apache.bcel.classfile.AccessFlags
`getAccessFlags, isAbstract, isAbstract, isFinal, isFinal, isInterface, isInterface, isNative, isNative, isPrivate, isPrivate, isProtected, isProtected, isPublic, isPublic, isStatic, isStatic, isStrictfp, isStrictfp, isSynchronized, isSynchronized, isTransient, isTransient, isVolatile, isVolatile, setAccessFlags`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterGenerator

    public FilterGenerator(java.lang.String className,
                           java.lang.String superClassName,
                           java.lang.String fileName,
                           int accessFlags,
                           java.lang.String[] interfaces,
                           Stylesheet stylesheet)

Method Detail

### loadTranslet

    public final org.apache.bcel.generic.Instruction loadTranslet()

  The index of the translet pointer within the execution of the test method.
  Overrides:
    loadTranslet in class ClassGenerator

### isExternal

    public boolean isExternal()

  Returns `true` since this class is external to the translet.
  Overrides:
    isExternal in class ClassGenerator

Copyright © 2006 Apache XML Project. All Rights Reserved.